/**
 * @(#)Point.java
 *
 *
 * @author 
 * @version 1.00 2018/4/21
 */
public class Point {
	
	private int x;
	private int y;
	
    public Point(int x, int y){
    	this.x = x;
    	this.y = y;
    }
    
    public void setX(int x){
    	this.x = x;
    }
    
    public void setY(int y){
    	this.y = y;
    }
    
    public int getX(){
    	return this.x;
    }
    
    public int getY(){
    	return this.y;
    }
    
    public double distanceFrom(Point p){
    	double dist = Math.sqrt( Math.pow((p.getX() - this.x), 2) + Math.pow((p.getY()-this.y), 2) );
    	return dist;
    }
    
    public String toString(){
    	return "(X:" + this.x + ",Y:" + this.y + ")";
    }
    
}